Bug 403875 - can't open https links
Summary: can't open https links
Status: REPORTED
Alias: None
Product: akregator
Classification: Applications
Component: internal browser (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-02 21:08 UTC by Mathias Homann
Modified: 2020-11-22 08:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Homann 2019-02-02 21:08:13 UTC
SUMMARY

https:// links in feed entries do not work, clicking them does not open the link

STEPS TO REPRODUCE
1. have any blog or such in your feeds that has https:// links in the entries
2. click those links

OBSERVED RESULT
nothing happens

EXPECTED RESULT
web page should open in the configured browser

SOFTWARE/OS VERSIONS

Linux/KDE Plasma: openSUSE Leap 15.0

KDE Plasma Version: 5.14.90
KDE Frameworks Version: 5.54.0
Qt Version: 5.12.0

ADDITIONAL INFORMATION
Clicking a https link with the **right** mousebutton and selecting either of the two options to open the link **does** work.
Comment 1 Laurent Montel 2019-11-16 09:18:32 UTC
which urls ?
Comment 2 Mathias Homann 2019-11-16 10:45:56 UTC
now this is interesting. by now, https works, but http:// doesnt.
for example, put this feed in akregator: http://blog.slinkstyle.com/feed/

in the latest post are two http: links pointing at yourtube, and one https: pointing at the gimp webpage.
the gimp link works, the two videos don't.
Comment 3 Laurent Montel 2019-11-16 14:09:52 UTC
It's in preview article it seems.
Javascript is disabled so it's normal.
Comment 4 Justin Zobel 2020-11-22 02:54:25 UTC
Thanks for the report Mathias, I've just tested with Akregator 5.15.3 (20.08.3) and I can't reproduce this issue.

I added http://blog.slinkstyle.com/feed/ and opened an article in the preview window and both HTTP and HTTPS links worked correctly.

Can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved. I've set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved" when you respond, thanks.
Comment 5 Mathias Homann 2020-11-22 08:17:45 UTC
I have akregator 5.15.3 here, and with some blogs, all links work and with some, http links don't...

here's another test case:
add this feed: http://seraphimsl.com/feed/atom/

and try out any links that point at urls like this:
http://maps.secondlife.com/secondlife/Follys End/33/231/2001

those still don't work, I have to go the "log way around" and open the post and use the link from there.